Module java.desktop
Package java.awt.image

## Class ImagingOpException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.awt.image.ImagingOpException

All Implemented Interfaces:
  Serializable

    public class ImagingOpException
    extends RuntimeException

The `ImagingOpException` is thrown if one of the `BufferedImageOp` or `RasterOp` filter methods cannot process the image.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ImagingOpException(String s)` Constructs an `ImagingOpException` object with the specified message.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Constructor Detail

#### ImagingOpException

    public ImagingOpException(String s)

Constructs an `ImagingOpException` object with the specified message.

Parameters:
  `s` - the message to generate when a `ImagingOpException` is thrown